# pandas.io.formats.style.Styler.applymap

`Styler.``applymap`(func, subset=None, **kwargs)

  Apply a function elementwise, updating the HTML representation with the result.

  Parameters:

  func : function

  > `func` should take a scalar and return a scalar

  subset : IndexSlice

  > a valid indexer to limit `data` to before applying the function. Consider using a pandas.IndexSlice

  kwargs : dict

  > pass along to `func`

  Returns: | self : Styler

  See also

  `Styler.where`

Scroll To Top